Subject: RE: bug#15455: 24.3.50; wrong defcustom :type for `confirm-kill-emacs'

From: Drew Adams <[email-masked]>
Date: Tue, 24 Sep 2013 08:24:12 -0700 (PDT)

Also, the doc should not just say that the predicate "should be a
predicate function such as `yes-or-no-p'. That is confusing and not
very meaningful.  What does it mean to be a predicate "such as
`yes-or-no-p'?

It should say that it is a function that is used as a predicate.
It should say what true and false return values mean (what they do).
And it should say that the function must accept at least one argument.